/* global $ */
(function () {
    'use strict';
    return {
        updateControl: function (control) {
            return control;
        },
        updateCss: function (css) {
            return css;
        },
        updateHtml: function (htmlDom, control) {
            htmlDom.find('.breadcrumb > *').remove();

            var list = htmlDom.find('.breadcrumb');
            var linkClass = control.name + 'link-' + control.id;

            var linkContent = $('<li><div class="' + linkClass + '"><a href="#" class="' + control.link.classNames + ' link">Link</a></div></li>');

            list.append(linkContent);

            linkContent = $('<li><div class="' + linkClass + '"><a href="#" class="' + control.link.classNames + ' hovered">Hovered</a></div></li>');
            list.append(linkContent);

            if (control.breadcrumbsText) {
                list.append('<li class="active"><span class="' + control.breadcrumbsText.classNames + '"><span>Text</span></span></li>');
            }

            return htmlDom;
        }
    };
})();